
Katello - Bug #5008

Manifest History section is not updated upon importing a manifest file

04/01/2014 05:23 PM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee: dustin tsang   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1077893 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1077893

Description of problem:

When you import a valid manifest file, you're taken to a Task page. Going back to the manifest page (there's a handy 'Back' link in

the Tasks page) I noticed that the Manifest History section was empty (see screenshot).

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.8.25-1.el6sam.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.8.25-1.el6sam.noarch

candlepin-tomcat6-0.8.25-1.el6sam.noarch

elasticsearch-0.90.10-4.el6sat.noarch

foreman-1.5.0.8-1.el6sat.git.2.0ef68aa.noarch

foreman-postgresql-1.5.0.8-1.el6sat.git.2.0ef68aa.noarch

foreman-proxy-1.5.2-1.el6sat.noarch

foreman-selinux-1.5.0-0.develop.el6sat.noarch

katello-1.5.0-17.el6sat.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.4-1.el6sat.noarch

katello-installer-0.0.28-1.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

pulp-katello-plugins-0.2-1.el6sat.noarch

pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch

pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch

pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch

pulp-selinux-2.3.1-0.4.beta.el6sat.noarch

pulp-server-2.3.1-0.4.beta.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch

ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch

How reproducible:

Steps to Reproduce:

1. Select a valid organization from context selector

2. Go to Red Hat Subscriptions page and import a valid manifest file

3. Once taken to a Task page, click the Go Back link
Actual results:

The Manifest History section is empty

Expected results:

Additional info:

Associated revisions

Revision b042ff8a - 05/02/2014 09:40 PM - dustin tsang

Refs #5008 adds manifest history to subscriptions and organization

Revision c9721573 - 05/06/2014 02:15 PM - dustin tsang

Fixes #5008 Manifest History not updated on import

- importing/deleting/reloading manifest file also triggers update/display of manifest

history

- BZ1077893

- exposes import history in subscriptions v2 api

Revision ecf30424 - 05/06/2014 06:15 PM - dustin tsang

Fixes #5008 Manifest History not updated on import

- importing/deleting/reloading manifest file also triggers update/display of manifest

history

- BZ1077893

- exposes import history in subscriptions v2 api

Revision af7b0f83 - 05/06/2014 07:41 PM - Walden Raines

Merge pull request #4020 from dustint-rh/bz1077893_redmine_5008_fix_display_of_manifest_history_and_in_v2_subs_orgs3

Fixes #5008 Manifest History not updated on import

History

#1 - 04/01/2014 09:11 PM - Thomas McKay

- Assignee set to Thomas McKay

- Triaged set to No

#2 - 04/01/2014 09:12 PM - Thomas McKay

- Triaged changed from No to Yes

#3 - 04/28/2014 04:43 PM - Thomas McKay

- Assignee changed from Thomas McKay to dustin tsang

#4 - 04/28/2014 04:43 PM - Thomas McKay

- Status changed from New to Assigned

#5 - 05/06/2014 07:52 PM - dustin tsang

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:ecf30424e93c3bda35af3158c1edcf4291571888.

#6 - 05/27/2014 05:08 PM - Eric Helms

- Target version set to 44

#7 - 08/21/2014 02:43 PM - Eric Helms

- translation missing: en.field_release set to 13
